<template>
    
 
  <div>
    <div class="row mt-5">
    <div class="col-5 shadow-sm">
      <p>{{this.selectRoad}}</p>
    <div class="position-relative" id="img-bg">
    <div class="position-absolute top-0 start-50 translate-middle-x" @click="selectlane('north')"><span>N</span></div>
    <div class="position-absolute top-50 start-0 translate-middle-y" @click="selectlane('west')"><span>W</span></div>
    <div class="position-absolute top-50 end-0 translate-middle-y" @click="selectlane('east')"><span>E</span></div>
    <div class="position-absolute bottom-0 start-50 translate-middle-x" @click="selectlane('south')"><span>S</span></div>
  </div>
    </div>
    <div class="col-7 shadow-sm">
 
    <div class="container-fluid pb-3">
    <div class="d-grid gap-3" style="grid-template-columns: 2fr 2fr;">
      <div class="rounded-3">
        <p>inbound</p>
        <div v-if="this.selectRoad === 'north'">
            <v-row>
              <v-col cols="1" align="center" v-for="(item, index) in north.inbound" :key="index">
                <img :src=item height="150">
                <p>{{ index + 1 }}</p>
                
              </v-col>   
            </v-row> 
        </div>
        <div v-if="this.selectRoad === 'west'">
            <v-row>
              <v-col cols="1" align="center" v-for="(item, index) in west.inbound" :key="index">
                <img :src=item height="150">
                <p>{{ index + 1 }}</p>
                
              </v-col>   
            </v-row> 
        </div>
        <div v-if="this.selectRoad === 'east'">
            <v-row>
              <v-col cols="1" align="center" v-for="(item, index) in east.inbound" :key="index">
                <img :src=item height="150">
                <p>{{ index + 1 }}</p>
                
              </v-col>   
            </v-row> 
        </div>
        <div v-if="this.selectRoad === 'south'">
            <v-row>
              <v-col cols="1" align="center" v-for="(item, index) in south.inbound" :key="index">
                <img :src=item height="150">
                <p>{{ index + 1 }}</p>
                
              </v-col>   
            </v-row> 
        </div>

      </div>
      <div class="rounded-3">
        <p>outbound</p>
        <div v-if="this.selectRoad === 'north'">
          <v-row>
              <v-col cols="1" align="center" v-for="(item, index) in north.outbound" :key="index">
                <img :src=item height="150">
                <p>{{ index + 1 }}</p>
                
              </v-col>   
            </v-row>  
        </div>
        <div v-if="this.selectRoad === 'west'">
            <v-row>
              <v-col cols="1" align="center" v-for="(item, index) in west.outbound" :key="index">
                <img :src=item height="150">
                <p>{{ index + 1 }}</p>
                
              </v-col>   
            </v-row> 
        </div>
        <div v-if="this.selectRoad === 'east'">
            <v-row>
              <v-col cols="1" align="center" v-for="(item, index) in east.outbound" :key="index">
                <img :src=item height="150">
                <p>{{ index + 1 }}</p>
                
              </v-col>   
            </v-row> 
        </div>
        <div v-if="this.selectRoad === 'south'">
            <v-row>
              <v-col cols="1" align="center" v-for="(item, index) in south.outbound" :key="index">
                <img :src=item height="150">
                <p>{{ index + 1 }}</p>
                
              </v-col>   
            </v-row> 
        </div>
      </div>    
      </div>
    </div>
    <b-button id="show-btn" class="float-right text-white" @click="showModal">add lane</b-button>

    </div>
    
  </div><!-- row -->

    <b-modal v-model="showModel" size="lg"  title="Select Lane Road">
      <section class="mb-3">
          <h5>Type Road :</h5>
          <b-form-radio-group
           id="radio-group-1"
           v-model="selectRoad"
           :options="optionRoad"
           plain
           name="type-road"
          ></b-form-radio-group>      

      </section><!-- End Type Road -->

      <section class="mb-3">
      <b-form-group v-slot="{ ariaDescribedby }">      
      <h5>Type Lane</h5>
      <b-form-radio v-model="selectBound" :aria-describedby="ariaDescribedby" name="some-radios" plain value="inbound">inbound</b-form-radio>
      <b-form-radio v-model="selectBound" :aria-describedby="ariaDescribedby" name="some-radios" plain value="outbound">outbound</b-form-radio>
      </b-form-group>
      </section>

      <section class="mb-3">
      <h5>Traffic Sign</h5>
      <v-row class="mt-1">
          <v-col cols="3" align="center" v-for="item in lanes" :key="item.id">
            <img :src=item.path height="150">
            <b-form-radio v-model="selectLane"  class="pt-2 justify-center" :value=item.path></b-form-radio>
          </v-col>   
      </v-row>
      </section>

      <template #modal-footer>
        <b-button variant="secondary" class="text-white" @click="show = false">ยกเลิก</b-button>
        <b-button variant="primary" class="text-white" @click="pushLane()">บันทึกข้อมูล</b-button>
      </template>
    </b-modal>


</div>

</template>      
<script>
    export default {
        layout: 'roadLane',
        components:{
       
        },
        data() {
         return {
          selectBound: '',
          selectLane: '',
          showModel : false,
          selectRoad : null,
          north : {
            inbound : [],
            outbound : []
          },
          west : {
            inbound : [],
            outbound : []
          },
          east : {
            inbound : [],
            outbound : []
          },
          south : {
            inbound : [],
            outbound : []
          },
          lanes : [
            {
              id : 1,
              name : "behind only",
              path : require('@/assets/images/lane/RoadSign-02.png')
            },
            {
              id : 2,
              name : "ahead only",
              path : require('@/assets/images/lane/RoadSign-03.png')
            },
            {
              id : 3,
              name : "Go straight or turn right",
              path : require('@/assets/images/lane/RoadSign-04.png')
            },
            {
              id : 4,
              name : "Go straight or turn left",
              path : require('@/assets/images/lane/RoadSign-05.png')
            },
            {
              id : 5,
              name : "-",
              path : require('@/assets/images/lane/RoadSign-06.png')
            },
            {
              id : 6,
              name : "Turn right",
              path : require('@/assets/images/lane/RoadSign-07.png')
            },
            {
              id : 7,
              name : "Turn left",
              path : require('@/assets/images/lane/RoadSign-08.png')
            },
            {
              id : 8,
              name : "Turn right ahead",
              path : require('@/assets/images/lane/RoadSign-09.png')
            },
            {
              id : 9,
              name : "ahead left",
              path : require('@/assets/images/lane/RoadSign-10.png')
            },
            {
              id : 10,
              name : "Right u-turn ahead",
              path : require('@/assets/images/lane/RoadSign-11.png')
            }
          ],
          optionRoad: [
            { text: 'north', value: 'north' },
            { text: 'west', value: 'west' },
            { text: 'east', value: 'east'},
             { text: 'south', value: 'south' }
          ]
         }
        },
        methods: {
        async selectlane(lane){
          this.selectRoad = lane
          console.log(this.selectRoad)
        },
        showModal() {
         this.showModel = true
        },
        async pushLane() {
          
          (this.selectRoad === "north" && this.selectBound === "inbound") ? this.north.inbound.push(this.selectLane)
          : (this.selectRoad === "north" && this.selectBound === "outbound") ? this.north.outbound.push(this.selectLane)

          : (this.selectRoad === "west" && this.selectBound === "inbound") ? this.west.inbound.push(this.selectLane)
          : (this.selectRoad === "west" && this.selectBound === "outbound") ? this.west.outbound.push(this.selectLane)

          : (this.selectRoad === "east" && this.selectBound === "inbound") ? this.east.inbound.push(this.selectLane)
          : (this.selectRoad === "east" && this.selectBound === "outbound") ? this.east.outbound.push(this.selectLane)

          : (this.selectRoad === "south" && this.selectBound === "inbound") ? this.south.inbound.push(this.selectLane)
          : (this.selectRoad === "south" && this.selectBound === "outbound") ? this.south.outbound.push(this.selectLane) 
          : ""
          this.showModel = false


        } 
        },
        
    }
       
       </script>
<style>


#img-bg {
    background-image: url('../assets/images/road/four-lane.png');
    background-size: cover;
    background-position: center;
    height: 250px;
    width: 50%;
    position: relative;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.position-absolute {
    color: white;
    font-size: 24px;
    font-weight: bold;
}

</style>